Payments

Settlement recording and allocation across document lines, including partial and multi-document payments.

1 endpoints·Scopes: payments:read, payments:write
POST/api/payments#

Create a payment

scope · payments:writerole · CONTRIBUTOR+

Creates a new payment in the target organization. Returns the created record on success.

Scope: payments:write
Min role: CONTRIBUTOR or higher
Endpoint: POST /api/payments

Example request

curl -X POST "https://guliel.com/api/payments" \
  -H "Authorization: Bearer $GULIEL_API_KEY" \
  -H "Content-Type: application/json" \
  --data '{
  "organizationId": "abc123",
  "amount": 100,
  "paidAt": "string"
}'

Request body

  • organizationIdreq
    string
  • amountreq
    number
  • paidAtreq
    string
  • method
    string | null
  • documentIds
    array<string>
  • allocations
    array<object>
    • lineIdreq
      string
    • amountreq
      number

Response (200/201)

  • idreq
    string
  • organizationIdreq
    string
  • amountreq
    number
  • paidAtreq
    string
  • methodreq
    string | null
  • allocationsreq
    array<object>
    • lineIdreq
      string
    • amountreq
      number
  • unallocatedreq
    number
  • documentsreq
    array<object>
    • idreq
      string
    • statusreq
      string
    • paidAmountreq
      number
    • totalreq
      number

Error responses

400Validation
401Unauthenticated
403Forbidden
429RateLimit
500Internal